Description

ES:
La herramienta zoom-in permite tanto incrementar una unidad de zoom sobre el punto de click, como ajustar el encuadre de la vista a
un área rectangular definida por click + arrastre. El error surge en que el click del arrastre es interpretado prematuramente haciendo
zoom in al punto, en lugar que esperar al release para interpretar si se trató de un click o un click + arrastre.

Si bien el encuadre resultante final es correcto, genera una carga intermedia que consume recursos de forma innecesaria al tiempo
que confunde al usuario.

EN:
Zoom-in tool allows to increase in one unit the zoom level over a click point as well as fit the view to a rectangular area defined by
click + drag. The bug appears as the click at drag start is to soon taken as single click, incurring in zoom in to the point, instead of
waiting to release to define if it was click o click+drag.

Even when the final result is right, it generates a middle view re-load that demands resources and confuses the user.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5380: No hace zoom corre... New 08/11/2020

History
#1 - 03/04/2020 02:48 PM - Álvaro Anguix
- Category set to Document view

#2 - 09/28/2020 10:00 AM - Álvaro Anguix
- Related to gvSIG bugs #5380: No hace zoom correcto en una capa de puntos added

#3 - 10/18/2023 01:59 PM - Álvaro Anguix
- Status changed from New to Closed

En el 3333 parece funcionar correctamente
